# 365Strong configuration.

[divisions]
    # Generic divisions.
    open = {name = "Open", min = 0, max = 999}
    youth = {name = "Youth", min = 5, max = 12}
    T1 = {name = "T1", min = 13, max = 15}
    T2 = {name = "T2", min = 16, max = 17}
    T3 = {name = "T3", min = 18, max = 19}
    juniors = {name = "Juniors", min = 20, max = 23}
    M1 = {name = "M1", min = 40, max = 44}
    M2 = {name = "M2", min = 45, max = 49}
    M3 = {name = "M3", min = 50, max = 54}
    M4 = {name = "M4", min = 55, max = 59}
    M5 = {name = "M5", min = 60, max = 64}
    M6 = {name = "M6", min = 65, max = 69}
    M7 = {name = "M7", min = 70, max = 74}
    M8 = {name = "M8", min = 75, max = 89}
    M9 = {name = "M9", min = 80, max = 999}
    mpf = {name = "MPF", min = 0, max = 999}
    novice = {name = "Novice", min = 0, max = 999}

    # Open divisions, men: $Sex-$Div$Event-$Equipment-Tested.
    # For Event: F = "SBD", P = "BD", B = "B".
    mofrx = {name = "M-OF-R-X", min=0, max=999, sex="M", equipment=["Raw","Wraps"]}
    mofrt = {name = "M-OF-R-T", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    moprt = {name = "M-OP-R-T", min=0, max=999, sex="M", equipment="Raw", tested="Yes"}
    mopru = {name = "M-OP-R-U", min=0, max=999, sex="M", equipment="Raw", tested="No"}
    mofrct = {name = "M-OF-RC-T", min=0, max=999, sex="M", equipment="Wraps", tested="Yes"}
    mofru = {name = "M-OF-R-U", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="No"}
    mofrcu = {name = "M-OF-RC-U", min=0, max=999, sex="M", equipment="Wraps", tested="No"}
    mofspx = {name = "M-OF-SP-X", min=0, max=999, sex="M", equipment="Single-ply"}
    mofspt = {name = "M-OF-SP-T", min=0, max=999, sex="M", equipment="Single-ply", tested="Yes"}
    mofspu = {name = "M-OF-SP-U", min=0, max=999, sex="M", equipment="Single-ply", tested="No"}
    mofmpx = {name = "M-OF-MP-X", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mofmpt = {name = "M-OF-MP-T", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="Yes"}
    mopmpt = {name = "M-OP-MP-T", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="Yes"}
    mofmpu = {name = "M-OF-MP-U", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="No"}
    mosrt = {name = "M-OS-R-T", min=0, max=999, sex="M", equipment=["Raw", "Wraps"], tested="Yes"}
    mobrx = {name = "M-OB-R-X", min=0, max=999, sex="M", equipment=["Raw","Wraps"]}
    mobrt = {name = "M-OB-R-T", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    mobru = {name = "M-OB-R-U", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="No"}
    mobspx = {name = "M-OB-SP-X", min=0, max=999, sex="M", equipment="Single-ply"}
    mobspt = {name = "M-OB-SP-T", min=0, max=999, sex="M", equipment="Single-ply", tested="Yes"}
    mobspu = {name = "M-OB-SP-U", min=0, max=999, sex="M", equipment="Single-ply", tested="No"}
    mobmpx = {name = "M-OB-MP-X", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mobmpt = {name = "M-OB-MP-T", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="Yes"}
    mobmpu = {name = "M-OB-MP-U", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="No"}
    modru = {name = "M-OD-R-U", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="No"}

    # Open divisions, women.
    fofrx = {name = "F-OF-R-X", min=0, max=999, sex="F", equipment=["Raw","Wraps"]}
    fofrt = {name = "F-OF-R-T", min=0, max=999, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    foprt = {name = "F-OP-R-T", min=0, max=999, sex="F", equipment="Raw", tested="Yes"}
    fofrct = {name = "F-OF-RC-T", min=0, max=999, sex="F", equipment="Wraps", tested="Yes"}
    fofru = {name = "F-OF-R-U", min=0, max=999, sex="F", equipment=["Raw","Wraps"], tested="No"}
    fofrcu = {name = "F-OF-RC-U", min=0, max=999, sex="F", equipment="Wraps", tested="No"}
    fofspx = {name = "F-OF-SP-X", min=0, max=999, sex="F", equipment="Single-ply"}
    fofspt = {name = "F-OF-SP-T", min=0, max=999, sex="F", equipment="Single-ply", tested="Yes"}
    fofspn = {name = "F-OF-SP-U", min=0, max=999, sex="F", equipment="Single-ply", tested="No"}
    fofmpx = {name = "F-OF-MP-X", min=0, max=999, sex="F", equipment=["Multi-ply", "Unlimited"]}
    fofmpt = {name = "F-OF-MP-T", min=0, max=999, sex="F", equipment=["Multi-ply", "Unlimited"], tested="Yes"}
    fofmpn = {name = "F-OF-MP-U", min=0, max=999, sex="F", equipment=["Multi-ply", "Unlimited"], tested="No"}

    # Novice divisions, men.
    mnfrx = {name = "M-NF-R-X", min=0, max=999, sex="M", equipment=["Raw","Wraps"]}
    mnfrcx = {name = "M-NF-RC-X", min=0, max=999, sex="M", equipment="Wraps"}
    mnfrt = {name = "M-NF-R-T", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    mnfrn = {name = "M-NF-R-U", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="No"}
    mnprx = {name = "M-NP-R-X", min=0, max=999, sex="M", equipment="Raw"}
    mnfspx = {name = "M-NF-SP-X", min=0, max=999, sex="M", equipment="Single-ply"}
    mnpspx = {name = "M-NP-SP-X", min=0, max=999, sex="M", equipment="Single-ply"}
    mnfspt = {name = "M-NF-SP-T", min=0, max=999, sex="M", equipment="Single-ply", tested="Yes"}
    mnfspn = {name = "M-NF-SP-U", min=0, max=999, sex="M", equipment="Single-ply", tested="No"}
    mnfmpx = {name = "M-NF-MP-X", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mnfmpt = {name = "M-NF-MP-T", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="Yes"}
    mnfmpn = {name = "M-NF-MP-U", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="No"}
    mnbrx = {name = "M-NB-R-X", min=0, max=999, sex="M", equipment=["Raw","Wraps"]}
    mnbrt = {name = "M-NB-R-T", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    mnbrn = {name = "M-NB-R-U", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="No"}
    mnbspx = {name = "M-NB-SP-X", min=0, max=999, sex="M", equipment="Single-ply"}
    mnbspt = {name = "M-NB-SP-T", min=0, max=999, sex="M", equipment="Single-ply", tested="Yes"}
    mnbspn = {name = "M-NB-SP-U", min=0, max=999, sex="M", equipment="Single-ply", tested="No"}
    mnbmpx = {name = "M-NB-MP-X", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mnbmpt = {name = "M-NB-MP-T", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="Yes"}
    mnbmpu = {name = "M-NB-MP-U", min=0, max=999, sex="M", equipment=["Multi-ply", "Unlimited"], tested="No"}
    mnsrx = {name = "M-NS-R-X", min=0, max=999, sex="M", equipment="Raw"}

    # Novice divisions, women.
    fnfrx = {name = "F-NF-R-X", min=0, max=999, sex="F", equipment=["Raw","Wraps"]}
    fnfrcx = {name = "F-NF-RC-X", min=0, max=999, sex="F", equipment="Wraps"}

    # Miscellaneous divisions that haven't been fully expanded yet.
    mybrx = {name = "M-YB-R-X", min=4, max=12, sex="M", equipment="Raw"}
    myfrt = {name = "M-YF-R-T", min=4, max=12, sex="M", equipment="Raw", tested="Yes"}
    mt1brx = {name = "M-T1B-R-X", min=13, max=15, sex="M", equipment="Raw"}
    mt1prt = {name = "M-T1P-R-T", min=13, max=15, sex="M", equipment="Raw", tested="Yes"}
    mt2frx = {name = "M-T2F-R-X", min=16, max=17, sex="M", equipment=["Raw","Wraps"]}
    mt2frcx = {name = "M-T2F-RC-X", min=16, max=17, sex="M", equipment="Wraps"}
    mt2frt = {name = "M-T2F-R-T", min=16, max=17, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    mt2frct = {name = "M-T2F-RC-T", min=16, max=17, sex="M", equipment="Wraps", tested="Yes"}
    mt2brx = {name = "M-T2B-R-X", min=16, max=17, sex="M", equipment="Raw"}
    mt3frx = {name = "M-T3F-R-X", min=18, max=19, sex="M", equipment=["Raw","Wraps"]}
    mt3frcx = {name = "M-T3F-RC-X", min=18, max=19, sex="M", equipment="Wraps"}
    mt3prx = {name = "M-T3P-R-X", min=18, max=19, sex="M", equipment="Raw"}
    mt3prt = {name = "M-T3P-R-T", min=18, max=19, sex="M", equipment="Raw", tested="Yes"}
    mt3bmpx = {name = "M-T3B-MP-X", min=18, max=19, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mm1frx = {name = "M-M1F-R-X", min=40, max=44, sex="M", equipment="Raw"}
    mm1frt = {name = "M-M1F-R-T", min=40, max=44, sex="M", equipment="Raw", tested="Yes"}
    mm1brx = {name = "M-M1B-R-X", min=40, max=44, sex="M", equipment="Raw"}
    mm1bspx = {name = "M-M1B-SP-X", min=40, max=44, sex="M", equipment="Single-ply"}
    mm1bspu = {name = "M-M1B-SP-U", min=40, max=44, sex="M", equipment="Single-ply"}
    mm1bmpx = {name = "M-M1B-MP-X", min=40, max=44, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mm1prx = {name = "M-M1P-R-X", min=40, max=44, sex="M", equipment="Raw"}
    mm2frx = {name = "M-M2F-R-X", min=45, max=49, sex="M", equipment=["Raw","Wraps"]}
    mm2fspx = {name = "M-M2F-SP-X", min=45, max=49, sex="M", equipment="Single-ply"}
    mm2frcx = {name = "M-M2F-RC-X", min=45, max=49, sex="M", equipment="Wraps"}
    mm2brx = {name = "M-M2B-R-X", min=45, max=49, sex="M", equipment="Raw"}
    mm2bspx = {name = "M-M2B-SP-X", min=45, max=49, sex="M", equipment="Single-ply"}
    mm2bspu = {name = "M-M2B-SP-U", min=45, max=49, sex="M", equipment="Single-ply"}
    mm2bmpx = {name = "M-M2B-MP-U", min=45, max=49, sex="M", equipment="Multi-ply"}
    mm2srx = {name = "M-M2S-R-X", min=45, max=49, sex="M", equipment="Raw"}
    mm2drx = {name = "M-M2D-R-X", min=45, max=49, sex="M", equipment="Raw"}
    mm3frx = {name = "M-M3F-R-X", min=50, max=54, sex="M", equipment="Raw"}
    mm3srx = {name = "M-M3S-R-T", min=50, max=54, sex="M", equipment="Raw", tested="Yes"}
    mm3drx = {name = "M-M3D-R-T", min=50, max=54, sex="M", equipment="Raw", tested="Yes"}
    mm3frcx = {name = "M-M3F-RC-X", min=50, max=54, sex="M", equipment="Wraps"}
    mm3frct = {name = "M-M3F-RC-T", min=50, max=54, sex="M", equipment="Wraps", tested="Yes"}
    mm2prx = {name = "M-M2P-R-X", min=45, max=49, sex="M", equipment="Raw"}
    mm3prx = {name = "M-M3P-R-X", min=50, max=54, sex="M", equipment="Raw"}
    mm3brx = {name = "M-M3B-R-X", min=50, max=54, sex="M", equipment="Raw"}
    mm3bspx = {name = "M-M3B-SP-X", min=50, max=54, sex="M", equipment="Single-ply"}
    mm3bmpx = {name = "M-M3B-MP-X", min=50, max=54, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mm4frx = {name = "M-M4F-R-X", min=55, max=59, sex="M", equipment=["Raw","Wraps"]}
    mm4frcx = {name = "M-M4F-RC-X", min=55, max=59, sex="M", equipment="Wraps"}
    mm4prx = {name = "M-M4P-R-X", min=55, max=59, sex="M", equipment="Raw"}
    mm4brx = {name = "M-M4B-R-X", min=55, max=59, sex="M", equipment="Raw"}
    mm4bmpx = {name = "M-M4B-MP-X", min=55, max=59, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mm5frx = {name = "M-M5F-R-X", min=60, max=64, sex="M", equipment="Raw"}
    mm5brx = {name = "M-M5B-R-X", min=60, max=64, sex="M", equipment="Raw"}
    mm5bmpx = {name = "M-M5B-MP-X", min=60, max=64, sex="M", equipment=["Multi-ply", "Unlimited"]}
    mm6brx = {name = "M-M6B-R-X", min=65, max=69, sex="M", equipment="Raw"}
    mm6frx = {name = "M-M6F-R-X", min=65, max=69, sex="M", equipment=["Raw","Wraps"]}
    mm6frcx = {name = "M-M6F-RC-X", min=65, max=69, sex="M", equipment="Wraps"}
    mm6frt = {name = "M-M6F-R-T", min=65, max=69, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    mm7bspx = {name = "M-M7B-SP-X", min=70, max=74, sex="M", equipment="Single-ply"}
    mm8dspx = {name = "M-M8D-SP-X", min=75, max=79, sex="M", equipment="Single-ply"}
    mm8brx = {name = "M-M8B-R-X", min=75, max=79, sex="M", equipment="Raw"}
    mmpffrt = {name = "M-MPFF-R-T", min=0, max=999, sex="M", equipment="Raw", tested="Yes"}
    mmpffrct = {name = "M-MPFF-RC-T", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    mmpffrx = {name = "M-MPFF-R-X", min=0, max=999, sex="M", equipment="Raw"}
    mmpffspx = {name = "M-MPFF-SP-X", min=0, max=999, sex="M", equipment="Single-ply"}
    mmpfprt = {name = "M-MPFP-R-T", min=0, max=999, sex="M", equipment="Raw", tested="Yes"}
    mmpffrcx = {name = "M-MPFF-RC-X", min=0, max=999, sex="M", equipment="Wraps"}
    mmpfbspx = {name = "M-MPFB-SP-X", min=0, max=999, sex="M", equipment="Single-ply"}

    ft1frx = {name = "F-T1F-R-X", min=13, max=15, sex="F", equipment="Raw"}
    ft2frcx = {name = "F-T2F-RC-T", min=16, max=17, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    ft3frt = {name = "F-T3F-R-T", min=18, max=19, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    fm1frx = {name = "F-M1F-R-X", min=40, max=44, sex="F", equipment=["Raw","Wraps"]}
    fm1prx = {name = "F-M1P-R-X", min=40, max=44, sex="F", equipment="Raw"}
    fm2frcx = {name = "F-M2F-RC-X", min=45, max=49, sex="F", equipment="Wraps"}
    fm3frcx = {name = "F-M3B-R-X", min=50, max=54, sex="F", equipment="Raw"}
    fm4frcx = {name = "F-M4F-RC-X", min=55, max=59, sex="F", equipment="Wraps"}
    fm4brx = {name = "F-M4B-R-X", min=55, max=59, sex="F", equipment="Raw"}
    fm5bspx = {name = "F-M5B-SP-X", min=60, max=64, sex="F", equipment="Single-ply"}
    fmpffrx = {name = "F-MPFF-R-X", min=0, max=999, sex="F", equipment=["Raw","Wraps"]}
    fmpffrcx = {name = "F-MPFF-RC-X", min=0, max=999, equipment="Wraps"}
    fobrt = {name="F-OB-R-T", min=0, max=999, sex="F", equipment="Raw", tested="Yes"}
    fobspu = {name="F-OB-SP-U", min=0, max=999, sex="F", equipment="Single-ply"}
    fodrt = {name="F-OD-R-T", min=0, max=999, sex="F", equipment="Raw", tested="Yes"}
    fosrt = {name="F-OS-R-T", min=0, max=999, sex="F", equipment="Raw", tested="Yes"}
    fm3drx = {name="F-M3D-R-X", min=50, max=54, sex="F", equipment="Raw"}

[weightclasses.default_M]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["1990-01-01", "9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","90+"]
    date_range = ["1990-01-01", "9999-01-01"]
    sex = "F"

[exemptions]
    1802 = ["ExemptWeightClassConsistency"]
